Subject: bug#69245: 29.1.90; Segfault on startup

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Feb 2024 21:07:33 +0200

> Date: Thu, 15 Feb 2024 20:10:03 -0800
> From:  Arteen Abrishami via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> This occasionally happens when I start up.
> 
> % emacs test.pl
> Fatal error 11: Segmentation fault
> zsh: abort      /Applications/Emacs.app/Contents/MacOS/Emacs test.pl
> 
> It also happened yesterday when I tried a similar command.
> 
> Usually, emacs takes a long time to load (it is usually after I have not
> used it, or it's my first time using it that day or in a couple days)
> and then I get this error.
> 
> The next time it opens up fine.
> 
> Let me know if I can do anything to help trace the issue.

Please show the backtrace from the segfault or some other information
about the crash.  It is almost impossible to do anything with this
report without more info.

Also, I see that you are using a development version of Emacs.  Can
you try the release version 29.2 instead?

Thanks.